summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGianluca Montecchi2016-10-08 21:11:57 +0200
committerGianluca Montecchi2016-10-08 21:11:57 +0200
commitd2b5a77300d14a621377f8863771a17b46e77312 (patch)
tree9b9bcffa542da8c702bfe60f37581cab84f2c06e
parentf06b5ddcd91e12c2369ed56565e42b17b61246af (diff)
downloadaur-d2b5a77300d14a621377f8863771a17b46e77312.tar.gz
Bumped to 2.6.4
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD13
2 files changed, 10 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 46891dfb0ab..c27c937640a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Thu Jan 7 22:08:55 UTC 2016
+# Sat Oct 8 19:11:35 UTC 2016
pkgbase = libqglviewer
pkgdesc = C++ library based on Qt that eases the creation of OpenGL 3D viewers
- pkgver = 2.6.3
- pkgrel = 3
+ pkgver = 2.6.4
+ pkgrel = 1
url = http://www.libqglviewer.com/
arch = i686
arch = x86_64
@@ -16,10 +16,8 @@ pkgbase = libqglviewer
depends = qt5-tools
conflicts = libqglviewer-qt4
options = !makeflags
- source = http://www.libqglviewer.com/src/libQGLViewer-2.6.3.tar.gz
- source = qglviewer.patch
- md5sums = a1c964983a20d73dcfb311890cdba364
- md5sums = 6f6d57309360581c9470fc1d21653d01
+ source = http://www.libqglviewer.com/src/libQGLViewer-2.6.4.tar.gz
+ md5sums = f8b4775955a400f42876e86aafe39a71
pkgname = libqglviewer
diff --git a/PKGBUILD b/PKGBUILD
index f4d2e776458..7bd3508a6fb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,18 +5,17 @@
pkgname=libqglviewer
_pkgname=libQGLViewer
-pkgver=2.6.3
-pkgrel=3
+pkgver=2.6.4
+pkgrel=1
pkgdesc="C++ library based on Qt that eases the creation of OpenGL 3D viewers"
url="http://www.libqglviewer.com/"
depends=('qt5-base' 'glu' 'mesa' 'qt5-tools')
conflicts=('libqglviewer-qt4')
arch=('i686' 'x86_64')
license=('GPL2' 'GPL3' 'custom')
-source=("http://www.libqglviewer.com/src/${_pkgname}-${pkgver}.tar.gz" "qglviewer.patch")
+source=("http://www.libqglviewer.com/src/${_pkgname}-${pkgver}.tar.gz")
-md5sums=('a1c964983a20d73dcfb311890cdba364'
- '6f6d57309360581c9470fc1d21653d01')
+md5sums=('f8b4775955a400f42876e86aafe39a71')
options=(!makeflags)
@@ -24,9 +23,7 @@ options=(!makeflags)
build()
{
cd ${_pkgname}-${pkgver}
- patch -p1 < ../qglviewer.patch
- qmake PREFIX=/usr -o Makefile ${_pkgname}-${pkgver}.pro || return 1
-
+ qmake PREFIX=/usr/local -o Makefile ${_pkgname}-${pkgver}.pro || return 1
make \
CFLAGS="-pipe ${CFLAGS} -D_REENTRANT -Wall -W -fPIC \$(DEFINES)" \
CXXLIBS=" ${CXXLIBS} " \